DB.DBA.DAV_COL_CREATE ('/DAV/rssfeeds/','110100100R', 'dav','dav','dav','dav');

Create procedure filename_of(in _chanid integer) 
{
  declare fn varchar;
  select replace(chantitle, ' ', '_') into fn from rss..channel where chanid = _chanid;
  return fn;
}
;

create procedure rss_generate (in _chanid integer, in schname varchar)
{
declare _rssversion varchar;

select rssversion into _rssversion from rss..channel where chanid = _chanid;

  if (atoi(_rssversion) < 2 ) 
  {
    DB.DBA.DAV_RES_UPLOAD (concat('/DAV/rssfeeds/', filename_of(_chanid),'.xml'),
    http_get(concat('http://localhost:8891/rssfeeds/sqlx_rss91.vsp?channel=', cast(_chanid as varchar))),
    'text/xml','110100100','dav','dav','dav','dav'); 

  }
  else 
  { 
    DB.DBA.DAV_RES_UPLOAD (concat('/DAV/rssfeeds/', filename_of(_chanid),'.xml'),
    http_get(concat('http://localhost:8891/rssfeeds/sqlx_rss20.vsp?channel=', cast(_chanid as varchar))),
    'text/xml','110100100','dav','dav','dav','dav'); 
  }
 
  if (schname)
    delete from DB.DBA.SYS_SCHEDULED_EVENT 
      where SE_NAME = schname;
}
;

create procedure schedule_rss (in chanid integer)
{
  declare schname varchar;
  schname := Concat('Generate RSS for ', cast(chanid as varchar));
    
  insert replacing DB.DBA.SYS_SCHEDULED_EVENT(SE_NAME, SE_START, SE_SQL, SE_INTERVAL) 
 values (schname, dateadd('minute', 2, now()), sprintf('rss_generate(%d, \'%s\')',cast(chanid as integer), schname), 100); 
}
;

create trigger rss_gen after insert on rss..item
{
  schedule_rss(itemchanid);
}
;

create trigger rss_gen_update after update on rss..item
{
  schedule_rss(itemchanid);
}
;
