drop table rss..item;
drop table rss..channel;
drop table rss..category;
drop table rss..subject;
drop table rss..authors;

create table rss..channel (chanid integer identity primary key, rssversion varchar, chantitle varchar not null, chanlink varchar not null, chandesc varchar not null, chanlang varchar, chancopy varchar,  chanmanager varchar, chanwebmaster varchar, chanpubdate datetime, changen varchar);

create table rss..category(catid integer identity primary key, catname varchar);

create table rss..subject(subid integer identity primary key, subname varchar);

create table rss..authors(authid integer identity primary key, authname varchar);

create table rss..item (itemid integer identity primary key, itemtitle varchar, itemlink varchar, itemdesc varchar, itemauth integer, itemcat integer,  itemsub integer, itemcomm varchar, itempubdate varchar, itemchanid integer, foreign key (itemchanid) references rss..channel(chanid), foreign key (itemcat) references rss..category(catid), foreign key (itemsub) references rss..subject(subid), foreign key (itemauth) references rss..authors(authid));

Insert into rss..subject (subname) values ('ODBC');
Insert into rss..subject (subname) values ('JDBC');
Insert into rss..subject (subname) values (' ADO.NET');
Insert into rss..subject (subname) values (' Data Access Middleware (UDA)');
Insert into rss..subject (subname) values (' iODBC');
Insert into rss..subject (subname) values (' Virtuoso');
Insert into rss..subject (subname) values (' XML Services');
Insert into rss..subject (subname) values (' Web Services');
Insert into rss..subject (subname) values (' Post Services');
Insert into rss..subject (subname) values (' Blogging');
Insert into rss..subject (subname) values (' Virtual Database');
Insert into rss..subject (subname) values (' Runtime Hosting');
Insert into rss..subject (subname) values (' Integration');
Insert into rss..subject (subname) values (' Replication Services');
Insert into rss..authors (authname) values ('OpenLink Software');
Insert into rss..authors (authname) values ('Bloor Research');
Insert into rss..authors (authname) values ('Infoworld');
Insert into rss..authors (authname) values ('Eweek');
Insert into rss..authors (authname) values ('FTP Online');
Insert into rss..authors (authname) values ('SD Times');
Insert into rss..authors (authname) values ('Mac Devcenter');
Insert into rss..category (catname) values ('Article');
Insert into rss..category (catname) values ('Howto');
Insert into rss..category (catname) values ('FAQ');
Insert into rss..category (catname) values ('White Paper');
Insert into rss..category (catname) values ('Case Study');
Insert into rss..category (catname) values ('Press Release');
Insert into rss..category (catname) values ('Announcement');
Insert into rss..category (catname) values ('Viewlets');
